CBORMapperConfigurator (Jackson JAX-RS 2.12.1-SNAPSHOT API)
Date: 2020-11-28

com.fasterxml.jackson.jaxrs.cbor

## Class CBORMapperConfigurator

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase<CBORMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>
  - - com.fasterxml.jackson.jaxrs.cbor.CBORMapperConfigurator

-     public class CBORMapperConfigurator
      extends MapperConfiguratorBase<CBORMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>

  Helper class used to encapsulate details of configuring an `ObjectMapper` instance to be used for data binding, as well as accessing it.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase

      `_defaultAnnotationsToUse, _defaultMapper, _jaxbIntrospectorClass, _mapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CBORMapperConfigurator(com.fasterxml.jackson.databind.ObjectMapper mapper, Annotations[] defAnnotations)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.fasterxml.jackson.databind.AnnotationIntrospector` | `_resolveIntrospector(Annotations ann)`
    `protected com.fasterxml.jackson.databind.AnnotationIntrospector` | `_resolveIntrospectors(Annotations[] annotationsToUse)`
    `com.fasterxml.jackson.databind.ObjectMapper` | `getConfiguredMapper()` Method that locates, configures and returns `ObjectMapper` to use
    `com.fasterxml.jackson.databind.ObjectMapper` | `getDefaultMapper()`
    `protected com.fasterxml.jackson.databind.ObjectMapper` | `mapper()` Helper method that will ensure that there is a configurable non-default mapper (constructing an instance if one didn't yet exit), and return that mapper.

    - ### Methods inherited from class com.fasterxml.jackson.jaxrs.cfg.MapperConfiguratorBase

      `_setAnnotations, configure, configure, configure, configure, setAnnotationsToUse, setMapper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CBORMapperConfigurator

          public CBORMapperConfigurator(com.fasterxml.jackson.databind.ObjectMapper mapper,
                                        Annotations[] defAnnotations)

  - ### Method Detail

    - #### getConfiguredMapper

          public com.fasterxml.jackson.databind.ObjectMapper getConfiguredMapper()

      Method that locates, configures and returns `ObjectMapper` to use
      Specified by:
        `getConfiguredMapper` in class `MapperConfiguratorBase<CBORMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

    - #### getDefaultMapper

          public com.fasterxml.jackson.databind.ObjectMapper getDefaultMapper()

      Specified by:
        `getDefaultMapper` in class `MapperConfiguratorBase<CBORMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

    - #### mapper

          protected com.fasterxml.jackson.databind.ObjectMapper mapper()

      Helper method that will ensure that there is a configurable non-default mapper (constructing an instance if one didn't yet exit), and return that mapper.
      Specified by:
        `mapper` in class `MapperConfiguratorBase<CBORMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

    - #### _resolveIntrospectors

          protected com.fasterxml.jackson.databind.AnnotationIntrospector _resolveIntrospectors(Annotations[] annotationsToUse)

      Specified by:
        `_resolveIntrospectors` in class `MapperConfiguratorBase<CBORMapperConfigurator,com.fasterxml.jackson.databind.ObjectMapper>`

    - #### _resolveIntrospector

          protected com.fasterxml.jackson.databind.AnnotationIntrospector _resolveIntrospector(Annotations ann)

Copyright © 2020 FasterXML. All rights reserved.